io.agora.rtc

## Class SimulcastStreamConfig

- java.lang.Object
- - io.agora.rtc.SimulcastStreamConfig

-     public class SimulcastStreamConfig
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bitrate`
    `private VideoDimensions` | `dimensions`
    `private int` | `framerate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimulcastStreamConfig()`
    `SimulcastStreamConfig(VideoDimensions dimensions, int bitrate, int framerate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitrate()`
    `VideoDimensions` | `getDimensions()`
    `int` | `getFramerate()`
    `void` | `setBitrate(int bitrate)`
    `void` | `setDimensions(VideoDimensions dimensions)`
    `void` | `setFramerate(int framerate)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dimensions

          private VideoDimensions dimensions

    - #### bitrate

          private int bitrate

    - #### framerate

          private int framerate

  - ### Constructor Detail

    - #### SimulcastStreamConfig

          public SimulcastStreamConfig()

    - #### SimulcastStreamConfig

          public SimulcastStreamConfig(VideoDimensions dimensions,
                                       int bitrate,
                                       int framerate)

  - ### Method Detail

    - #### getDimensions

          public VideoDimensions getDimensions()

    - #### setDimensions

          public void setDimensions(VideoDimensions dimensions)

    - #### getBitrate

          public int getBitrate()

    - #### setBitrate

          public void setBitrate(int bitrate)

    - #### getFramerate

          public int getFramerate()

    - #### setFramerate

          public void setFramerate(int framerate)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`